## vym 1.7.0+cvs1.7.4

=== Makefile ===
#############################################################################
# Makefile for building: vym
# Generated by qmake (1.07a) (Qt 3.3.5) on: Thu Oct 20 19:44:23 2005
# Project:  vym.pro
# Template: app
# Command: $(QMAKE) -o Makefile vym.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
CXXFLAGS = -pipe -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I/usr/include/qt3
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -L/usr/X11R6/lib -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = /usr/share/qt3/bin/moc
UIC      = /usr/share/qt3/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = aboutdialog.h \
		api.h \
		branchobj.h \
		exports.h \
		findwindow.h \
		flagobj.h \
		flagrowobj.h \
		floatimageobj.h \
		floatobj.h \
		frameobj.h \
		headingobj.h \
		imageobj.h \
		linkablemapobj.h \
		xlinkobj.h \
		mainwindow.h \
		mapcenterobj.h \
		mapeditor.h \
		mapobj.h \
		misc.h \
		noteobj.h \
		ornamentedobj.h \
		process.h \
		selection.h \
		texteditor.h \
		version.h \
		xml.h \
		settings.h \
		options.h
SOURCES = aboutdialog.cpp \
		api.cpp \
		branchobj.cpp \
		exports.cpp \
		findwindow.cpp \
		flagobj.cpp \
		flagrowobj.cpp \
		floatimageobj.cpp \
		floatobj.cpp \
		frameobj.cpp \
		headingobj.cpp \
		imageobj.cpp \
		linkablemapobj.cpp \
		xlinkobj.cpp \
		main.cpp \
		mainwindow.cpp \
		mapcenterobj.cpp \
		mapeditor.cpp \
		mapobj.cpp \
		misc.cpp \
		noteobj.cpp \
		ornamentedobj.cpp \
		process.cpp \
		selection.cpp \
		texteditor.cpp \
		xml.cpp \
		settings.cpp \
		options.cpp
OBJECTS = aboutdialog.o \
		api.o \
		branchobj.o \
		exports.o \
		findwindow.o \
		flagobj.o \
		flagrowobj.o \
		floatimageobj.o \
		floatobj.o \
		frameobj.o \
		headingobj.o \
		imageobj.o \
		linkablemapobj.o \
		xlinkobj.o \
		main.o \
		mainwindow.o \
		mapcenterobj.o \
		mapeditor.o \
		mapobj.o \
		misc.o \
		noteobj.o \
		ornamentedobj.o \
		process.o \
		selection.o \
		texteditor.o \
		xml.o \
		settings.o \
		options.o \
		exporthtmldialog.o \
		exportxhtmldialog.o \
		showtextdialog.o \
		extrainfodialog.o \
		editxlinkdialog.o
FORMS = exporthtmldialog.ui \
		exportxhtmldialog.ui \
		showtextdialog.ui \
		extrainfodialog.ui \
		editxlinkdialog.ui
UICDECLS = exporthtmldialog.h \
		exportxhtmldialog.h \
		showtextdialog.h \
		extrainfodialog.h \
		editxlinkdialog.h
UICIMPLS = exporthtmldialog.cpp \
		exportxhtmldialog.cpp \
		showtextdialog.cpp \
		extrainfodialog.cpp \
		editxlinkdialog.cpp
SRCMOC   = moc_aboutdialog.cpp \
		moc_findwindow.cpp \
		moc_linkablemapobj.cpp \
		moc_mainwindow.cpp \
		moc_mapeditor.cpp \
		moc_process.cpp \
		moc_texteditor.cpp \
		moc_exporthtmldialog.cpp \
		moc_exportxhtmldialog.cpp \
		moc_showtextdialog.cpp \
		moc_extrainfodialog.cpp \
		moc_editxlinkdialog.cpp
OBJMOC = moc_aboutdialog.o \
		moc_findwindow.o \
		moc_linkablemapobj.o \
		moc_mainwindow.o \
		moc_mapeditor.o \
		moc_process.o \
		moc_texteditor.o \
		moc_exporthtmldialog.o \
		moc_exportxhtmldialog.o \
		moc_showtextdialog.o \
		moc_extrainfodialog.o \
		moc_editxlinkdialog.o
DIST	   = vym.pro
QMAKE_TARGET = vym
DESTDIR  = debian/vym
INSTALL_ROOT= $(DESTDIR)
TARGET   = vym

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: vym.pro  /usr/share/qt3/mkspecs/default/qmake.conf /usr/share/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile vym.pro
qmake: 
	@$(QMAKE) -o Makefile vym.pro

dist: 
	@mkdir -p .tmp/vym && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/vym/ && $(COPY_FILE) --parents lang/vym_de.ts lang/vym_en.ts lang/vym_es.ts .tmp/vym/ && $(COPY_FILE) --parents exporthtmldialog.ui.h exportxhtmldialog.ui.h showtextdialog.ui.h extrainfodialog.ui.h editxlinkdialog.ui.h .tmp/vym/ && ( cd `dirname .tmp/vym` && $(TAR) vym.tar vym && $(GZIP) vym.tar ) && $(MOVE) `dirname .tmp/vym`/vym.tar.gz . && $(DEL_FILE) -r .tmp/vym

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

aboutdialog.o: aboutdialog.cpp aboutdialog.h \
		version.h \
		settings.h \
		mainwindow.h \
		misc.h \
		xml.h \
		texteditor.h \
		mapeditor.h \
		findwindow.h \
		mapcenterobj.h \
		branchobj.h \
		xlinkobj.h \
		floatimageobj.h \
		linkablemapobj.h \
		ornamentedobj.h \
		floatobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		flagobj.h \
		imageobj.h

api.o: api.cpp api.h

branchobj.o: branchobj.cpp branchobj.h \
		texteditor.h \
		mapeditor.h \
		mainwindow.h \
		floatimageobj.h \
		linkablemapobj.h \
		ornamentedobj.h \
		xlinkobj.h \
		floatobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h \
		mapcenterobj.h \
		version.h \
		xml.h \
		findwindow.h

exports.o: exports.cpp exports.h \
		linkablemapobj.h \
		texteditor.h \
		mapcenterobj.h \
		branchobj.h \
		xlinkobj.h \
		version.h \
		floatimageobj.h \
		ornamentedobj.h \
		floatobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h

findwindow.o: findwindow.cpp findwindow.h

flagobj.o: flagobj.cpp flagobj.h \
		mapobj.h \
		imageobj.h \
		misc.h

flagrowobj.o: flagrowobj.cpp flagrowobj.h \
		mapobj.h \
		flagobj.h \
		misc.h \
		imageobj.h

floatimageobj.o: floatimageobj.cpp floatimageobj.h \
		branchobj.h \
		floatobj.h \
		linkablemapobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h \
		ornamentedobj.h \
		xlinkobj.h

floatobj.o: floatobj.cpp floatobj.h \
		linkablemapobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h

frameobj.o: frameobj.cpp frameobj.h \
		mapobj.h \
		misc.h

headingobj.o: headingobj.cpp headingobj.h \
		mapobj.h \
		misc.h

imageobj.o: imageobj.cpp imageobj.h \
		mapobj.h \
		misc.h

linkablemapobj.o: linkablemapobj.cpp linkablemapobj.h \
		branchobj.h \
		mapeditor.h \
		version.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h \
		floatimageobj.h \
		ornamentedobj.h \
		xlinkobj.h \
		floatobj.h \
		mapcenterobj.h

xlinkobj.o: xlinkobj.cpp xlinkobj.h \
		branchobj.h \
		mapeditor.h \
		linkablemapobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h \
		floatimageobj.h \
		ornamentedobj.h \
		floatobj.h \
		mapcenterobj.h \
		version.h

main.o: main.cpp settings.h \
		options.h \
		mainwindow.h \
		icons/vym-48x48.xpm \
		icons/vym-editor.xpm \
		flagrowobj.h \
		misc.h \
		xml.h \
		texteditor.h \
		mapeditor.h \
		findwindow.h \
		mapcenterobj.h \
		branchobj.h \
		xlinkobj.h \
		version.h \
		floatimageobj.h \
		linkablemapobj.h \
		ornamentedobj.h \
		floatobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		mapobj.h \
		flagobj.h \
		imageobj.h

mainwindow.o: mainwindow.cpp mainwindow.h \
		version.h \
		aboutdialog.h \
		icons/filenew.xpm \
		icons/fileopen.xpm \
		icons/filesave.xpm \
		icons/fileprint.xpm \
		icons/editundo.xpm \
		icons/editcopy.xpm \
		icons/editcut.xpm \
		icons/editpaste.xpm \
		icons/editmoveup.xpm \
		icons/editmovedown.xpm \
		icons/formatcoloritem.xpm \
		icons/formatcolorbranch.xpm \
		icons/formatcolorpicker.xpm \
		icons/viewzoomreset.xpm \
		icons/viewzoomin.xpm \
		icons/viewzoomout.xpm \
		icons/modecolor.xpm \
		icons/modelink.xpm \
		icons/modecopy.xpm \
		icons/flag-note.xpm \
		icons/flag-url.xpm \
		icons/flag-vymlink.xpm \
		icons/flag-scrolled-right.xpm \
		flagrowobj.h \
		texteditor.h \
		mapeditor.h \
		exporthtmldialog.h \
		exportxhtmldialog.h \
		showtextdialog.h \
		process.h \
		settings.h \
		options.h \
		xml.h \
		findwindow.h \
		mapcenterobj.h \
		branchobj.h \
		xlinkobj.h \
		floatimageobj.h \
		linkablemapobj.h \
		ornamentedobj.h \
		floatobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h

mapcenterobj.o: mapcenterobj.cpp mapcenterobj.h \
		floatimageobj.h \
		mapeditor.h \
		branchobj.h \
		xlinkobj.h \
		version.h \
		linkablemapobj.h \
		ornamentedobj.h \
		floatobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h

mapeditor.o: mapeditor.cpp mapeditor.h \
		version.h \
		api.h \
		xml.h \
		texteditor.h \
		linkablemapobj.h \
		exports.h \
		misc.h \
		mainwindow.h \
		extrainfodialog.h \
		editxlinkdialog.h \
		settings.h \
		icons/flag-note.xpm \
		icons/flag-url.xpm \
		icons/flag-vymlink.xpm \
		icons/flag-scrolled-right.xpm \
		icons/flag-tmpUnscrolled-right.xpm \
		icons/flag-questionmark.xpm \
		icons/flag-exclamationmark.xpm \
		icons/flag-hook-green.xpm \
		icons/flag-cross-red.xpm \
		icons/flag-stopsign.xpm \
		icons/flag-smiley-good.xpm \
		icons/flag-smiley-sad.xpm \
		icons/flag-clock.xpm \
		icons/flag-lamp.xpm \
		icons/flag-arrow-up.xpm \
		icons/flag-arrow-down.xpm \
		icons/flag-thumb-up.xpm \
		icons/flag-thumb-down.xpm \
		icons/flag-heart.xpm \
		icons/flag-flash.xpm \
		icons/flag-lifebelt.xpm \
		icons/cursorhandopen16.xpm \
		icons/cursorcolorpicker16.xpm \
		icons/cursorhandopen.xpm \
		icons/cursorcolorpicker.xpm \
		mapcenterobj.h \
		branchobj.h \
		xlinkobj.h \
		floatimageobj.h \
		ornamentedobj.h \
		floatobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		flagobj.h \
		imageobj.h \
		findwindow.h

mapobj.o: mapobj.cpp mapobj.h \
		misc.h

misc.o: misc.cpp misc.h

noteobj.o: noteobj.cpp noteobj.h \
		misc.h

ornamentedobj.o: ornamentedobj.cpp ornamentedobj.h \
		texteditor.h \
		mapeditor.h \
		linkablemapobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h \
		mapcenterobj.h \
		branchobj.h \
		xlinkobj.h \
		version.h \
		floatimageobj.h \
		floatobj.h

process.o: process.cpp process.h

selection.o: selection.cpp selection.h \
		linkablemapobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h

texteditor.o: texteditor.cpp texteditor.h \
		icons/fileopen.xpm \
		icons/filesave.xpm \
		icons/fileprint.xpm \
		icons/editundo.xpm \
		icons/editredo.xpm \
		icons/editcopy.xpm \
		icons/editcut.xpm \
		icons/editpaste.xpm \
		icons/edittrash.xpm \
		icons/formatfixedfont.xpm \
		icons/formattextbold.xpm \
		icons/formattextitalic.xpm \
		icons/formattextunder.xpm \
		icons/formattextleft.xpm \
		icons/formattextcenter.xpm \
		icons/formattextright.xpm \
		icons/formattextjustify.xpm \

## vym 1.12.7

=== debian/changelog ===
vym (1.12.7-2) unstable; urgency=low

  * New Maintainer (thanks Xavier for your work)
  * Bump Standards-Version to 3.9.2

 -- Pierre Chifflier <pollux@debian.org>  Mon, 25 Jul 2011 20:03:56 +0200

vym (1.12.7-1) unstable; urgency=low

  * New upstream release
  * Move vym menu placement from education to office (Closes: #573028)
  * Romove iconpath.patch, no more needed
  * Refresh patches gcc-ftbfs-fix.patch, pro-file.patch

 -- Xavier Oswald <xoswald@debian.org>  Mon, 22 Mar 2010 17:41:32 +0100

vym (1.12.6-1) unstable; urgency=low

  * New upstream release
  * Fix cannot undo accidental removal of the root node (Closes: #529528)
  * Bump Standards-Version to 3.8.4
  * Update debian/copyright
  * Refresh patches gcc-ftbfs-fix.patch, iconpath.patch, pro-file.patch
  * Switch to dpkg-source 3.0 (quilt) format

 -- Xavier Oswald <xoswald@debian.org>  Fri, 19 Feb 2010 21:21:36 +0100

vym (1.12.2-2) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.1
    + Remove DM flag
    + Update debhelper to 7
    + Update my mail address
  * Update debian/compat to 7
  * Update debian/copyright
  * Add debian/watch
  * Fix lintian warnings:
    I: vym source: quilt-patch-missing-description pro-file.patch
    I: vym source: quilt-patch-missing-description iconpath.patch
    I: vym source: quilt-patch-missing-description gcc-ftbfs-fix.patch
    I: vym source: debian-watch-file-is-missing
    W: vym: desktop-mimetype-without-update-call
    /usr/share/applications/vym.desktop
    W: vym: copyright-refers-to-versionless-license-file
    usr/share/common-licenses/GPL

 -- Xavier Oswald <xoswald@debian.org>  Thu, 23 Apr 2009 23:01:18 +0200

vym (1.12.2-1) unstable; urgency=low

  * New upstream release
  * Fix Icon and .desktop file installation thanks to Nathan Handler
    <nhandler@ubuntu.com> patch (Closes: #504932)
  * Fix import/export KDE bookmarks (Closes: #499894)
  * Fix imposed language despite using language locale (Closes: #505312)

 -- Xavier Oswald <x.oswald@free.fr>  Tue, 23 Dec 2008 18:55:52 +0100

vym (1.12.1-1) unstable; urgency=low

  * New upstream release
  * Remove gcc-4.3-ftbfs-fix.patch, fixed upstream
  * Remove xdg-open.patch, fixed upstream
  * Update debian/rules
  * Fix segmentation fault when pressing Home or End key (Closes: #469913)
  * Fix overlapping nodes when opening a saved file (Closes: #474026)

 -- Xavier Oswald <x.oswald@free.fr>  Tue, 09 Sep 2008 10:10:59 +0200

vym (1.10.0-2) unstable; urgency=high

  * Add DM-Upload-Allowed flag
  * Add Homepage field in the control file
  * Add quit as Build-Depends
  * Update Debian policy to 3.8.0
  * Update copyright
  * Update .desktop file
  * Install icon in the default icon directory (Closes: #449115)
  * Remove /usr/share/doc/packages/vym empty directory (Closes: #470119)
  * Remove other empty directories
  * Add symlink from /usr/share/doc/vym/vym.pdf to /usr/share/vym/doc/vym.pdf
    (Closes: #479146)
  * Add README.Debian to inform users about local cups configuration that
    blocks invoking vym (Closes: 481083)
  * Add xdg-open, patch by Till Maas <opensource@till.name> (Closes: #473667)
  * Move all patches to quilt

 -- Xavier Oswald <x.oswald@free.fr>  Mon, 16 Jun 2008 13:59:45 +0200

vym (1.10.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by Kumar Appaiah <akumar@ee.iitm.ac.in> (Closes:
    #455332)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 05 Apr 2008 18:13:58 +0200

vym (1.10.0-1) unstable; urgency=low

  * New upstream release
  * Change maintainer 
  * Include French translation for .desktop file
  * Redo feature included (Closes:#400348)
  * Fix undo branch creation (Closes: #400411)
  * Fix wmii vym flickering (Closes: #442816)

 -- Xavier Oswald <x.oswald@free.fr>  Mon, 29 Oct 2007 10:24:40 +0100

vym (1.8.1-5) unstable; urgency=low

  * Make sure that the desktop icon also shows up in !kde
    desktops (Closes: #427699) 
  * Include German translation for .desktop file  
    
    Thanks to Bruno Kleinert

 -- Steffen Joeris <white@debian.org>  Mon, 18 Jun 2007 14:56:01 +0200

vym (1.8.1-4) unstable; urgency=low

  * Extend gcc-ftbfs-fix.patch to cover another missing include
    (Closes: #421133) Thanks to Martin Michlmayr

 -- Steffen Joeris <white@debian.org>  Wed, 16 May 2007 17:12:21 +1000

vym (1.8.1-3) unstable; urgency=low

  * Include gcc-ftbfs-fix.patch to make sure vym compiles with the
    newer gcc version (Closes: #417744) Thanks to Martin Michlmayr
  * Remove two shell scripts from the /usr/share/vym/scripts dir as
    they are unusable right now

 -- Steffen Joeris <white@debian.org>  Sun, 08 Apr 2007 22:02:07 +1000

vym (1.8.1-2) unstable; urgency=low

  * Change the docpath.patch to make a proper additional check so that
    the current patch can go to upstream
  * Split the vym.pro correction and move it from old docpath.patch to
    pro-file.patch
  * Include iconpath.patch to fix the icon for the main GUI
    (Closes: #405381)
  * Change long description to fix linda warning
  * Remove Alexander Wirt as co-maintainer
  * Change my maintainer address

 -- Steffen Joeris <white@debian.org>  Thu,  4 Jan 2007 19:27:14 +0100

vym (1.8.1-1) unstable; urgency=low

  * New upstream release
  * Bump standard version
  * Remove obsolete build-depends against dpatch
  * Convert to cdbs and add needed build-depends against it
  * Change to debhelper level 5
  * Take old .desktop files for the newer release

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Sun,  6 Aug 2006 03:12:57 +1000

vym (1.7.0+cvs1.7.4-4) unstable; urgency=low

  * make the .diff.gz more sane by deleting Makefile
  * correct path to documentation by adding 20-docpath.dpatch
    (Closes: #358753)

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Fri, 24 Mar 2006 12:50:43 +0100

vym (1.7.0+cvs1.7.4-3) unstable; urgency=low

  * Rebuild to fix broken dependency (Closes: #337907)
  * Two bugs are closed in last experimental version and


=== debian/rules ===
#!/usr/bin/make -f

DEB_COMPRESS_EXCLUDE = vym.pdf

include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/quilt/quilt.make
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk
QMAKE=qmake-qt4

clean::
	rm -f lang/vym_de.qm
	rm -f lang/vym_en.qm
	rm -f lang/vym_es.qm
	rm -f lang/vym_it.qm
	rm -f vym

common-configure-arch::
	lrelease vym.pro

common-install-arch::
	install -m 644 debian/vym.desktop debian/vym/usr/share/applications/vym.desktop
	install -m 0644 icons/vym.png $(CURDIR)/debian/vym/usr/share/pixmaps/
	install -D -m 644 debian/x-vym.desktop debian/vym/usr/share/mimelnk/application/x-vym.desktop
	mv $(CURDIR)/debian/vym/usr/share/vym/demos $(CURDIR)/debian/vym/usr/share/doc/vym
	mv $(CURDIR)/debian/vym/usr/share/doc/packages/vym/vym.pdf $(CURDIR)/debian/vym/usr/share/doc/vym 
	chmod 644 $(CURDIR)/debian/vym/usr/share/vym/icons/vym.ico
	rm -f $(CURDIR)/debian/vym/usr/share/vym/scripts/vym2txt.sh
	rm -f $(CURDIR)/debian/vym/usr/share/vym/scripts/vym2html.sh
	rmdir $(CURDIR)/debian/vym/usr/share/doc/packages/vym
	rmdir $(CURDIR)/debian/vym/usr/share/doc/packages/
	mkdir -p $(CURDIR)/debian/vym/usr/share/vym/doc/
	dh_link /usr/share/doc/vym/vym.pdf /usr/share/vym/doc/vym.pdf
	dh_link	/usr/share/vym/icons/vym.png /usr/share/pixmaps/vym.png

## vym 1.99.0

=== debian/changelog ===
vym (1.99.0-1) unstable; urgency=low

  * Imported Upstream version 1.99.0
  * Refreshed quilt patches

 -- Pierre Chifflier <pollux@debian.org>  Sat, 08 Oct 2011 13:15:40 +0200

vym (1.13.39-1) unstable; urgency=low

  * Imported Upstream version 1.13.39

 -- Pierre Chifflier <pollux@debian.org>  Mon, 12 Sep 2011 22:20:17 +0200

vym (1.13.36-1) unstable; urgency=low

  * Imported Upstream version 1.13.36

 -- Pierre Chifflier <pollux@debian.org>  Thu, 04 Aug 2011 21:10:01 +0200

vym (1.13.27-1) unstable; urgency=low

  * Imported Upstream version 1.13.27
  * Refreshed quilt patches
  * Last upload should have Closes: #632996 (New maintainer)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 27 Jul 2011 08:06:23 +0200

## vym 2.0.3

=== debian/changelog ===
vym (2.0.3-1) unstable; urgency=low

  * Imported Upstream version 2.0.3

 -- Pierre Chifflier <pollux@debian.org>  Sat, 03 Dec 2011 18:26:13 +0100

=== debian/control ===
Source: vym
Section: kde
Priority: optional
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 7), cdbs (>= 0.4.41), libqt4-dev, patchutils, quilt
Standards-Version: 3.9.2
Homepage: http://www.insilmaril.de/vym/

Package: vym
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, zip, unzip, xsltproc
Description: mindmapping tool
 Vym is a mind mapping program. It is useful to organize thoughts and
 do structure work. In addition to that it has a lot of helpful
 shortcuts.
 .
 A mindmap is a multicolored and image centered radial diagram that
 represents semantic or other connections between portions of learned
 material.  For example, it can graphically illustrate the structure
 of a thesis outline, a project plan, or the government institutions
 in a state.  Mindmaps have many applications in personal, family,
 educational, and business situations.  Possibilities include
 note-taking, brainstorming, summarizing, revising and general
 clarifying of thoughts.

## vym 2.2.0

=== CMakeLists.txt ===
project( vym )
cmake_minimum_required( VERSION 2.6 )

if( NOT CMAKE_BUILD_TYPE )
	set( CMAKE_BUILD_TYPE Debug )
endif( NOT CMAKE_BUILD_TYPE )

if( CMAKE_COMPILER_IS_GNUCXX )
	add_definitions ( -Wall )
endif( CMAKE_COMPILER_IS_GNUCXX )

find_package ( Qt4 REQUIRED )
include ( ${QT_USE_FILE} )
add_definitions( ${QT_DEFINITIONS} )

if( WIN32 )
	add_definitions( -DUNICODE -D_USE_MATH_DEFINES )
	if( MSVC )
		set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Zc:wchar_t-" )
	endif( MSVC )
endif( WIN32 )

include_directories (
	${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
	${QT_QTCORE_INCLUDE_DIR} ${QT_QTDBUS_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTNETWORK_INCLUDE_DIR} ${QT_QTXML_INCLUDE_DIR} ${QT_QTSVG_INCLUDE_DIR}
	)
set ( vym_HDRS
      aboutdialog.h
      adaptormodel.h
      adaptorvym.h
      animpoint.h
      attribute.h
      attributeitem.h
      #   attributedelegate.h
      #   attributedialog.h
      #   attributewidget.h
      branchitem.h
      branchobj.h
      branchpropwindow.h
      bugagent.h
      command.h
      dockeditor.h
      downloadagent.h
      editxlinkdialog.h
      exportoofiledialog.h
      exporthtmldialog.h
      exports.h
      extrainfodialog.h
      file.h
      findwidget.h
      findresultwidget.h
      findresultitem.h
      findresultmodel.h
      flag.h
      flagobj.h
      flagrowobj.h
      flagrow.h
      floatimageobj.h
      floatobj.h
      frameobj.h
      geometry.h
      headingeditor.h
      headingobj.h
      highlighter.h
      historywindow.h
      imageitem.h
      imageobj.h
      imports.h
      linkablemapobj.h
      mainwindow.h
      mapeditor.h
      mapitem.h
      mapobj.h
      misc.h
      mysortfilterproxymodel.h
      noteeditor.h
      noteobj.h
      options.h
      ornamentedobj.h
      parser.h
      process.h
      settings.h
      shortcuts.h
      showtextdialog.h
      simplescripteditor.h
      slidecontrolwidget.h
      slideeditor.h
      slideitem.h
      slidemodel.h
      task.h
      taskeditor.h
      taskmodel.h
      treedelegate.h
      treeeditor.h
      treeitem.h
      treemodel.h
      texteditor.h
      version.h
      vymmodel.h
      vymview.h
      warningdialog.h
      xlink.h
      xlinkitem.h
      xlinkobj.h
      xml-base.h
      xml-vym.h
      xml-freemind.h
      xmlobj.h
      xsltproc.h
	)

set ( vym_SRCS
      aboutdialog.cpp
      adaptormodel.cpp
      adaptorvym.cpp
      animpoint.cpp
      attribute.cpp
      attributeitem.cpp
      #   attributedelegate.cpp
      #   attributedialog.cpp
      #   attributewidget.cpp
      branchitem.cpp
      branchobj.cpp
      branchpropwindow.cpp
      bugagent.cpp
      command.cpp
      dockeditor.cpp
      downloadagent.cpp
      editxlinkdialog.cpp
      exportoofiledialog.cpp
      exports.cpp
      exporthtmldialog.cpp
      extrainfodialog.cpp
      file.cpp
      findwidget.cpp
      findresultwidget.cpp
      findresultitem.cpp
      findresultmodel.cpp
      flag.cpp
      flagobj.cpp
      flagrow.cpp
      flagrowobj.cpp
      floatimageobj.cpp
      floatobj.cpp
      frameobj.cpp
      geometry.cpp
      headingeditor.cpp
      headingobj.cpp
      highlighter.cpp
      historywindow.cpp
      imageitem.cpp
      imageobj.cpp
      imports.cpp
      linkablemapobj.cpp
      main.cpp
      mainwindow.cpp
      mapeditor.cpp
      mapitem.cpp
      mapobj.cpp
      misc.cpp
      mysortfilterproxymodel.cpp
      noteeditor.cpp
      noteobj.cpp
      options.cpp
      ornamentedobj.cpp
      parser.cpp
      process.cpp
      settings.cpp
      shortcuts.cpp
      showtextdialog.cpp
      simplescripteditor.cpp
      slidecontrolwidget.cpp
      slideeditor.cpp
      slideitem.cpp
      slidemodel.cpp
      task.cpp
      taskeditor.cpp
      taskmodel.cpp
      texteditor.cpp
      treedelegate.cpp
      treeeditor.cpp
      treeitem.cpp
      treemodel.cpp
      version.cpp
      vymmodel.cpp
      vymview.cpp
      warningdialog.cpp
      xlink.cpp
      xlinkitem.cpp
      xlinkobj.cpp
      xml-base.cpp
      xml-vym.cpp
      xml-freemind.cpp
      xmlobj.cpp
      xsltproc.cpp
	)

set ( vym_UIS
      attributewidget.ui
      branchpropwindow.ui
      exporthtmldialog.ui
      extrainfodialog.ui
      editxlinkdialog.ui
      historywindow.ui
      simplescripteditor.ui
      showtextdialog.ui
      warningdialog.ui
	)
QT4_WRAP_UI(UIS ${vym_UIS})

set ( vym_TRS
	lang/vym_de_DE.ts
	lang/vym_en.ts
	lang/vym_es.ts
	lang/vym_fr.ts
	lang/vym_it.ts
	lang/vym_pt_BR.ts
	lang/vym_ru.ts
	lang/vym_sv.ts
	lang/vym_zh_CN.ts
	lang/vym_zh_TW.ts
	lang/vym_cs_CZ.ts
	)
QT4_ADD_TRANSLATION(TRS ${vym_TRS})

set ( vym_MOCS
      aboutdialog.h
      adaptormodel.h
      adaptorvym.h
      branchpropwindow.h
      bugagent.h
      dockeditor.h
      downloadagent.h
      editxlinkdialog.h
      exportoofiledialog.h
      exporthtmldialog.h
      extrainfodialog.h
      findwidget.h
      findresultwidget.h
      findresultmodel.h
      headingeditor.h
      highlighter.h
      historywindow.h
      mainwindow.h
      mapeditor.h
      mysortfilterproxymodel.h
      noteeditor.h
      process.h
      showtextdialog.h
      simplescripteditor.h
      slidecontrolwidget.h
      slideeditor.h
      slidemodel.h
      taskeditor.h
      taskmodel.h
      treedelegate.h
      treeeditor.h
      treemodel.h
      texteditor.h
      vymmodel.h
      vymview.h
      warningdialog.h
	)
QT4_WRAP_CPP(MOCS ${vym_MOCS})

if( WIN32 )
	set( vym_SRCS ${vym_SRCS} mkdtemp.cpp vym.rc )
endif( WIN32 )

add_executable ( vym WIN32 ${vym_SRCS} ${UIS} ${RSCS} ${TRS} ${MOCS} )
target_link_libraries ( vym  ${QT_QTMAIN_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTSVG_LIBRARY} )
install( TARGETS vym RUNTIME DESTINATION bin )

set( _installfolders demos exports flags icons macros scripts styles )
install( DIRECTORY ${_installfolders} DESTINATION share/vym )
install( FILES ${TRS} DESTINATION share/vym/lang )

=== debian/changelog ===
vym (2.2.0-1) unstable; urgency=low

  * Imported Upstream version 2.2.0
  * Refreshed quilt patches
  * Suggest ruby, some (optional) scripts are using it
  * Really enable hardening flags
  * Add new patch gcc-format-security-fix to fix build with hardening flags
  * Enable parallel build

 -- Pierre Chifflier <pollux@debian.org>  Sat, 16 Jun 2012 14:59:05 +0200

vym (2.0.10-1) unstable; urgency=low

  * Imported Upstream version 2.0.10
    This also fixes a FTBFS with g++-4.7 (Closes: #667413)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 05 Apr 2012 21:54:01 +0200

vym (2.0.6-1) unstable; urgency=low

  * Imported Upstream version 2.0.6
  * Bump Standards Version to 3.9.3
  * Switch DH version to 9
  * Update clean rule

 -- Pierre Chifflier <pollux@debian.org>  Sat, 25 Feb 2012 15:21:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: kde
 Priority: optional
 Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: debhelper (>= 7), cdbs (>= 0.4.41), libqt4-dev, patchutils, quilt
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), cdbs (>= 0.4.41), libqt4-dev, patchutils, quilt
+Standards-Version: 3.9.3
 Homepage: http://www.insilmaril.de/vym/
 
 Package: vym
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, zip, unzip, xsltproc
+Suggests: ruby | ruby-interpreter
 Description: mindmapping tool
  Vym is a mind mapping program. It is useful to organize thoughts and
  do structure work. In addition to that it has a lot of helpful

## vym 2.3.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,34 @@
 		set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Zc:wchar_t-" )
 	endif( MSVC )
 endif( WIN32 )
+
+find_package( cppcheck )
+if(CPPCHECK_FOUND)
+	set(_cppcheck_args)
+	list(APPEND _cppcheck_args ${CPPCHECK_INCLUDEPATH_ARG} ${CMAKE_SOURCE_DIR})
+# 	list(APPEND _cppcheck_args ${CPPCHECK_INCLUDEPATH_ARG} ${QT_QTCORE_INCLUDE_DIR})
+# 	list(APPEND _cppcheck_args ${CPPCHECK_INCLUDEPATH_ARG} ${QT_QTDBUS_INCLUDE_DIR})
+# 	list(APPEND _cppcheck_args ${CPPCHECK_INCLUDEPATH_ARG} ${QT_QTGUI_INCLUDE_DIR})
+# 	list(APPEND _cppcheck_args ${CPPCHECK_INCLUDEPATH_ARG} ${QT_QTNETWORK_INCLUDE_DIR})
+# 	list(APPEND _cppcheck_args ${CPPCHECK_INCLUDEPATH_ARG} ${QT_QTXML_INCLUDE_DIR})
+# 	list(APPEND _cppcheck_args ${CPPCHECK_INCLUDEPATH_ARG} ${QT_QTSVG_INCLUDE_DIR})
+
+	list(APPEND _cppcheck_args "enable" "all")
+	
+	add_custom_target(
+		cppcheck
+		COMMAND 
+		"${CPPCHECK_EXECUTABLE}"
+		${CPPCHECK_TEMPLATE_ARG}
+		${CPPCHECK_QUIET_ARG}
+		"--force"
+#		"--std=c++11"
+		${_cppcheck_args}
+		${CMAKE_SOURCE_DIR}
+	)
+
+	message(STATUS "cppcheck target added.")
+endif(CPPCHECK_FOUND)
 
 include_directories (
 	${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}

=== debian/changelog ===
vym (2.3.8-1) unstable; urgency=low

  * Imported Upstream version 2.3.8

 -- Pierre Chifflier <pollux@debian.org>  Sat, 08 Dec 2012 18:12:27 +0100

vym (2.3.5-1) unstable; urgency=low

  * Imported Upstream version 2.3.5

 -- Pierre Chifflier <pollux@debian.org>  Sat, 17 Nov 2012 12:12:32 +0100

vym (2.3.3-1) unstable; urgency=low

  * Imported Upstream version 2.3.3

 -- Pierre Chifflier <pollux@debian.org>  Sat, 03 Nov 2012 09:45:39 +0100

vym (2.3.1-1) unstable; urgency=low

  * Imported Upstream version 2.3.0
  * Imported Upstream version 2.3.1

 -- Pierre Chifflier <pollux@debian.org>  Wed, 26 Sep 2012 21:32:27 +0200

vym (2.2.4-1) unstable; urgency=low

  * Imported Upstream version 2.2.4

 -- Pierre Chifflier <pollux@debian.org>  Sun, 22 Jul 2012 22:54:20 +0200

## vym 2.3.18

=== debian/changelog ===
vym (2.3.18-1) unstable; urgency=low

  * Imported Upstream version 2.3.18
  * Bump Standards Version to 3.9.4

 -- Pierre Chifflier <pollux@debian.org>  Thu, 04 Jul 2013 10:54:02 +0200

vym (2.3.17-1) unstable; urgency=low

  * Imported Upstream version 2.3.17
  * Refreshed quilt patches

 -- Pierre Chifflier <pollux@debian.org>  Thu, 09 May 2013 22:17:12 +0200

vym (2.3.11-1) unstable; urgency=low

  * Imported Upstream version 2.3.11

 -- Pierre Chifflier <pollux@debian.org>  Wed, 20 Feb 2013 00:23:50 +0100

## vym 2.3.20

=== debian/changelog ===
vym (2.3.20-1) unstable; urgency=low

  * Imported Upstream version 2.3.20

 -- Pierre Chifflier <pollux@debian.org>  Sun, 06 Oct 2013 18:02:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), cdbs (>= 0.4.41), libqt4-dev, patchutils, quilt
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.insilmaril.de/vym/
 
 Package: vym

## vym 2.3.22

=== debian/changelog ===
vym (2.3.22-1) unstable; urgency=medium

  * Imported Upstream version 2.3.22
  * Refreshed quilt patches
  * Remove gcc-ftbfs-fix.patch, merged upstream
  * Remove gcc-format-security-fix.patch, merged upstream
  * Bump standards version to 3.9.5

 -- Pierre Chifflier <pollux@debian.org>  Fri, 04 Apr 2014 08:41:31 +0200

## vym 2.3.24

=== debian/changelog ===
vym (2.3.24-1) unstable; urgency=medium

  * Imported Upstream version 2.3.24

 -- Pierre Chifflier <pollux@debian.org>  Wed, 20 Aug 2014 15:18:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), cdbs (>= 0.4.41), libqt4-dev, patchutils, quilt
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.insilmaril.de/vym/
 
 Package: vym

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,17 @@
 include /usr/share/quilt/quilt.make
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/qmake.mk
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
+include /usr/share/dpkg/buildflags.mk
+
 QMAKE=qmake-qt4
 
+DEB_BUILD_PARALLEL = 1
+
 clean::
-	rm -f lang/vym_de.qm
-	rm -f lang/vym_en.qm
-	rm -f lang/vym_es.qm
-	rm -f lang/vym_it.qm
+	rm -f lang/vym_*.qm
 	rm -f vym
 
 common-configure-arch::

## vym 2.5.0

=== debian/changelog ===
vym (2.5.0-2) unstable; urgency=medium

  * Fix FTBFS with g++-6 (Closes: #811854)

 -- Pierre Chifflier <pollux@debian.org>  Fri, 22 Jan 2016 13:26:35 +0100

vym (2.5.0-1) unstable; urgency=medium

  * Imported Upstream version 2.5.0

 -- Pierre Chifflier <pollux@debian.org>  Sun, 06 Dec 2015 18:24:34 +0100

vym (2.4.8-1) unstable; urgency=medium

  * Imported Upstream version 2.4.8
  * Switch to Qt 5
  * Add %f to desktop file Exec key
  * Refreshed quilt patch

 -- Pierre Chifflier <pollux@debian.org>  Wed, 23 Sep 2015 20:57:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,15 @@
 Section: kde
 Priority: optional
 Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), cdbs (>= 0.4.41), libqt4-dev, patchutils, quilt
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+    dpkg-dev (>= 1.16.1~),
+    cdbs (>= 0.4.41),
+    qtbase5-dev,
+    qttools5-dev-tools,
+    libqt5svg5-dev,
+    patchutils,
+    quilt
+Standards-Version: 3.9.6
 Homepage: http://www.insilmaril.de/vym/
 
 Package: vym

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,10 @@
 export DEB_CFLAGS_MAINT_APPEND = -Wall
 include /usr/share/dpkg/buildflags.mk
 
-QMAKE=qmake-qt4
+export QT_SELECT = 5
+
+QMAKE=qmake
+DEB_QMAKE_ARGS = "DATADIR=/usr/share"
 
 DEB_BUILD_PARALLEL = 1
 
@@ -27,7 +30,7 @@
 	install -m 0644 icons/vym.png $(CURDIR)/debian/vym/usr/share/pixmaps/
 	install -D -m 644 debian/x-vym.desktop debian/vym/usr/share/mimelnk/application/x-vym.desktop
 	mv $(CURDIR)/debian/vym/usr/share/vym/demos $(CURDIR)/debian/vym/usr/share/doc/vym
-	mv $(CURDIR)/debian/vym/usr/share/doc/packages/vym/vym.pdf $(CURDIR)/debian/vym/usr/share/doc/vym 
+	mv $(CURDIR)/debian/vym/usr/share/doc/packages/vym/vym.pdf $(CURDIR)/debian/vym/usr/share/doc/vym
 	chmod 644 $(CURDIR)/debian/vym/usr/share/vym/icons/vym.ico
 	rm -f $(CURDIR)/debian/vym/usr/share/vym/scripts/vym2txt.sh
 	rm -f $(CURDIR)/debian/vym/usr/share/vym/scripts/vym2html.sh

## vym 2.6.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,14 @@
 if( CMAKE_COMPILER_IS_GNUCXX )
 	add_definitions ( -Wall )
 endif( CMAKE_COMPILER_IS_GNUCXX )
+
+if( UNIX AND NOT APPLE )
+    set( NO_DBUS_DEFAULT OFF )
+else( UNIX AND NOT APPLE )
+    set( NO_DBUS_DEFAULT ON )
+endif( UNIX AND NOT APPLE )
+
+option( NO_DBUS "Build vym without dbus support" ${NO_DBUS_DEFAULT} )
 
 find_package ( Qt4 REQUIRED )
 include ( ${QT_USE_FILE} )
@@ -50,12 +58,16 @@
 
 include_directories (
 	${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
-	${QT_QTCORE_INCLUDE_DIR} ${QT_QTDBUS_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTNETWORK_INCLUDE_DIR} ${QT_QTXML_INCLUDE_DIR} ${QT_QTSVG_INCLUDE_DIR}
-	)
+	${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTNETWORK_INCLUDE_DIR} ${QT_QTXML_INCLUDE_DIR} ${QT_QTSVG_INCLUDE_DIR}
+	)
+
+if(NOT NO_DBUS )
+    include_directories( ${QT_QTDBUS_INCLUDE_DIR} )
+endif(NOT NO_DBUS )
+
 set ( vym_HDRS
       aboutdialog.h
-      adaptormodel.h
-      adaptorvym.h
+      taskfiltermodel.h
       animpoint.h
       attribute.h
       attributeitem.h
@@ -64,7 +76,7 @@
       #   attributewidget.h
       branchitem.h
       branchobj.h
-      branchpropwindow.h
+      branchpropeditor.h
       bugagent.h
       command.h
       dockeditor.h
@@ -94,7 +106,9 @@
       imageitem.h
       imageobj.h
       imports.h
+      lineeditdialog.h
       linkablemapobj.h
+      macros.h
       mainwindow.h
       mapeditor.h
       mapitem.h
@@ -107,10 +121,10 @@
       ornamentedobj.h
       parser.h
       process.h
+      scripteditor.h
       settings.h
       shortcuts.h
       showtextdialog.h
-      simplescripteditor.h
       slidecontrolwidget.h
       slideeditor.h
       slideitem.h
@@ -126,6 +140,7 @@
       version.h
       vymmodel.h
       vymview.h
+      winter.h
       warningdialog.h
       xlink.h
       xlinkitem.h
@@ -139,8 +154,7 @@
 
 set ( vym_SRCS
       aboutdialog.cpp
-      adaptormodel.cpp
-      adaptorvym.cpp
+      taskfiltermodel.cpp
       animpoint.cpp
       attribute.cpp
       attributeitem.cpp
@@ -149,7 +163,7 @@
       #   attributewidget.cpp
       branchitem.cpp
       branchobj.cpp
-      branchpropwindow.cpp
+      branchpropeditor.cpp
       bugagent.cpp
       command.cpp
       dockeditor.cpp
@@ -179,7 +193,9 @@
       imageitem.cpp
       imageobj.cpp
       imports.cpp
+      lineeditdialog.cpp
       linkablemapobj.cpp
+      macros.cpp
       main.cpp
       mainwindow.cpp
       mapeditor.cpp
@@ -193,10 +209,10 @@
       ornamentedobj.cpp
       parser.cpp
       process.cpp
+      scripteditor.cpp
       settings.cpp
       shortcuts.cpp
       showtextdialog.cpp
-      simplescripteditor.cpp
       slidecontrolwidget.cpp
       slideeditor.cpp
       slideitem.cpp
@@ -212,6 +228,7 @@
       version.cpp
       vymmodel.cpp
       vymview.cpp
+      winter.cpp
       warningdialog.cpp
       xlink.cpp
       xlinkitem.cpp
@@ -225,12 +242,13 @@
 
 set ( vym_UIS
       attributewidget.ui
-      branchpropwindow.ui
+      branchpropeditor.ui
       exporthtmldialog.ui
       extrainfodialog.ui
       editxlinkdialog.ui
       historywindow.ui
-      simplescripteditor.ui
+      lineeditdialog.ui
+      scripteditor.ui
       showtextdialog.ui
       warningdialog.ui
 	)
@@ -253,9 +271,7 @@
 
 set ( vym_MOCS
       aboutdialog.h
-      adaptormodel.h
-      adaptorvym.h
-      branchpropwindow.h
+      branchpropeditor.h
       bugagent.h
       dockeditor.h
       downloadagent.h
@@ -269,13 +285,14 @@
       headingeditor.h
       highlighter.h
       historywindow.h
+      lineeditdialog.h
       mainwindow.h
       mapeditor.h
       mysortfilterproxymodel.h
       noteeditor.h
       process.h
+      scripteditor.h
       showtextdialog.h
-      simplescripteditor.h
       slidecontrolwidget.h
       slideeditor.h
       slidemodel.h
@@ -287,16 +304,29 @@
       texteditor.h
       vymmodel.h
       vymview.h
+      winter.h
       warningdialog.h
 	)
+if( NOT NO_DBUS )
+    add_definitions(-DVYM_DBUS)
+    list(APPEND vym_HDRS adaptormodel.h adaptorvym.h)
+    list(APPEND vym_SRCS adaptormodel.cpp adaptorvym.cpp)
+    list(APPEND vym_MOCS adaptormodel.h adaptorvym.h)
+endif( NOT NO_DBUS )
 QT4_WRAP_CPP(MOCS ${vym_MOCS})
+
+
 
 if( WIN32 )
 	set( vym_SRCS ${vym_SRCS} mkdtemp.cpp vym.rc )
 endif( WIN32 )
 
 add_executable ( vym WIN32 ${vym_SRCS} ${UIS} ${RSCS} ${TRS} ${MOCS} )
-target_link_libraries ( vym  ${QT_QTMAIN_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTSVG_LIBRARY} )
+target_link_libraries ( vym  ${QT_QTMAIN_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTSVG_LIBRARY} )
+if( NOT NO_DBUS )
+    target_link_libraries( vym ${QT_QTDBUS_LIBRARY} )
+endif( NOT NO_DBUS )
+
 install( TARGETS vym RUNTIME DESTINATION bin )
 
 set( _installfolders demos exports flags icons macros scripts styles )

=== debian/changelog ===
vym (2.6.11-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:33:05 +1100

vym (2.6.11-3build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:29:16 +0000

vym (2.6.11-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:28:33 +0100

vym (2.6.11-3) unstable; urgency=medium

  * Add missing Build-Depends: qt5-qmake:native for using lrelease.
    Fix FTCBFS, thanks to Helmut Grohne for the patch (Closes: #920850)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 30 Jan 2019 13:48:46 +0100

vym (2.6.11-2) unstable; urgency=medium

  * Add missing translation files

 -- Pierre Chifflier <pollux@debian.org>  Mon, 30 Apr 2018 09:55:34 +0200

vym (2.6.11-1) unstable; urgency=medium

  * New upstream version 2.6.11
  * Remove FTBFS-g++-6.patch, merged upstream
  * Update doc directories
  * Refresh quilt patches
  * Also remove qm files when running debian/rules clean
  * Fix FTCBFS: Let dh_auto_configure pass cross flags to qmake
    Thanks to Helmut Grohne for the patch (Closes: #888036)
  * This also makes nostrip option handling correct (Closes: #438295)
  * Stop installing deprecated mimelnk files (Closes: #875524)
  * Stop showing annoying popup asking for sending data (Closes: #800072)
  * Bump Standards Version to 4.1.4

 -- Pierre Chifflier <pollux@debian.org>  Sun, 29 Apr 2018 13:50:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vym
 Section: kde
 Priority: optional
-Maintainer: Pierre Chifflier <pollux@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
 Build-Depends: debhelper (>= 9),
     dpkg-dev (>= 1.16.1~),
     cdbs (>= 0.4.41),
@@ -9,8 +10,9 @@
     qttools5-dev-tools,
     libqt5svg5-dev,
     patchutils,
+    qt5-qmake:native,
     quilt
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 Homepage: http://www.insilmaril.de/vym/
 
 Package: vym

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv \
http://sf.net/vym/vym-?_?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2|) debian uupdate

## vym 2.9.28

=== debian/changelog ===
vym (2.9.28-1) unstable; urgency=medium

  * New upstream release.
    Upstream commit 8f4e86ca61801ca8a759baa9c6ffb3441b8e8291
  * Add a README.source file to describe the tarball creation.
  * Remove desktop.patch - applied upstream.
  * Refresh cmake-installs.patch.
  * Remove debian/vym.links, mimetype icon link is created
    by cmake.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 11 May 2024 09:57:21 +0200

vym (2.9.27-1) unstable; urgency=medium

  * New upstream release (Closes: #1036774).
    Upstream commit d9d7b12a05dcffe3bf246cbb73e1cf718bd9dcd7
  * Add myself as Uploader.
  * Replace cdbs by debhelper as the Debian build helper.
  * Drop pro-file.patch - building with cmake now.
  * Refresh do-not-phone-home.patch.
  * Ship upstream man 1 vym.
  * Drop debian/menu.
  * Update debian/copyright.
  * Add a mimetype icon for the hicolor default theme.
  * Add Rules-Requires-Root set to no.
  * Add Vcs information to debian/control.
  * Raise Standards-Version to 4.7.0.
  * Delete old desktop file shipped in debian/.
  * Add desktop.patch to pass %F in the Exec setting and add keywords.
  * Add doc-base registration for the user manual.
  * Add cmake-installs.patch to adjust documentation install folder.
    (Closes: #720054)
  * Adjust watch file to query github API and change to version 4.
  * Include release-notes-2.9.md in the package docs.

 -- Sven Hoexter <hoexter@debian.org>  Fri, 10 May 2024 17:36:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: vym
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: debhelper (>= 9),
-    dpkg-dev (>= 1.16.1~),
-    cdbs (>= 0.4.41),
+Maintainer: Pierre Chifflier <pollux@debian.org>
+Uploaders: Sven Hoexter <hoexter@debian.org>
+Build-Depends: debhelper-compat (=13),
+    cmake,
     qtbase5-dev,
-    qttools5-dev-tools,
-    libqt5svg5-dev,
-    patchutils,
-    qt5-qmake:native,
-    quilt
-Standards-Version: 4.1.4
+    qttools5-dev,
+    qtscript5-dev,
+    libdbus-1-dev,
+    libqt5svg5-dev
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: http://www.insilmaril.de/vym/
+Vcs-Git: https://git.sven.stormbind.net/vym.git
+Vcs-Browser: https://git.sven.stormbind.net/?p=sven/vym.git
 
 Package: vym
 Architecture: any
